# CREDIT_LINE_APPLICATION

The status of a consumer credit line application has changed. Please see here all the events that trigger this webhook.

Endpoint: POST credit_line_application
Version: 1.0

## Request fields (application/json):

  - `status_description` (string,null)
    Additional details about the credit line application status.

  - `status` (string)
    The status of a consumer credit line application.
    Enum: "initial_scoring_pending", "account_snapshot_pending", "account_snapshot_verification_pending", "identification_pending", "offered", "esign_pending", "esign_complete", "esign_failed", "credit_line_creation_pending", "credit_line_created", "expired", "deleted", "rejected", "scoring_pending"

  - `signing_id` (string,null)
    The ID of the signing resource, created after the customer's identification and e-signing process has been triggered.
    Example: "7c63600ddddec4f2668893af39c1b814csig"

  - `scoring_workflow` (object,null)
    An object containing certain actions required for the scoring process.

  - `scoring_workflow.required_actions` (array)
    Actions you must complete for the scoring process.

  - `scoring_workflow.required_actions.required` (string,null)

  - `recipient_iban` (string,null)
    The IBAN of the customer's account to use for the account snapshot.
    Example: "DE92370601930002130041"

  - `reason` (string,null)
    The reason(s) for rejecting a credit line application.

  - `person_id` (string)
    The person ID of the customer applying for the credit line.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

  - `partner_reference_number` (string,null)
    The partner reference number.
    Example: "ABHP244919"

  - `offered_limit` (object,null)
    The offered credit line limit.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `offered_limit.value` (integer, required)
    The amount value
    Example: 1000

  - `offered_limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `offered_limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `offered_interest_rate` (number,null)
    The offered interest rate to apply to the credit line.
    Example: 2.5

  - `net_disposable_income` (object,null)
    The net disposable income available to the customer after deducting all taxes.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `net_disposable_income.value` (integer, required)
    The amount value
    Example: 1000

  - `net_disposable_income.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `net_disposable_income.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `marriage_status` (string,null)
    The customer's marital status.
    Enum: "MARRIED", "UNMARRIED", "DIVORCED", "UNKNOWN"

  - `identification_id` (string,null)
    The unique ID of a customer's identification resource.
    Example: "9e2e85c62230a652325964282c84559fcidt"

  - `id` (string)
    The unique ID of a consumer credit line application.
    Example: "35eee37033c5436f9cbff6df1f88e097ccla"

  - `employment_status` (string,null)
    The customer's employment status.
    Enum: "EMPLOYED", "UNEMPLOYED", "PUBLIC_SECTOR_EMPLOYEE", "PROFESSIONAL_SOLDIER", "FREELANCER", "HOUSEWORK", "APPRENTICE", "MANAGEMENT", "RETIRED", "STUDENT", "SELF_EMPLOYED", "MILITARY_OR_COMMUNITY_SERVICE"

  - `decision` (string,null)
    Solaris' decision on the credit line application.
    Enum: "REJECTED", "OFFERED"

  - `credit_line_id` (string,null)
    The unique ID of a credit line, generated after a credit line is created.
    Example: "1908331fb8384edcbfe63067366c4b6accln"


## Response 200 fields
